Odoo中文社区可以通过以下三个域名访问:shine-it.net , odoocn.org,odoo.net.cn

原论坛用户的基本信息和发帖这里都予以保留,请注意:原论坛用户无需重新注册新用户,但是您的密码需要重置

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

Ubuntu9.10下安装openerp的问题



  • 网上看见说openerp现在还不支持python2.6。
    就想再装一个python2.5.结果提示源不可用,不能安装
    各位 有办法吗?

    ps:我用的Ubuntu9.10,默认自带的是python2.60版本。



  • 网上看见说openerp现在还不支持python2.6。
    就想再装一个python2.5.结果提示源不可用,不能安装
    各位 有办法吗?

    ps:我用的Ubuntu9.10,默认自带的是python2.60版本。


  • 管理员

    openerp实际上是可以运行在python2.6上的,只是因为ubuntu9.10将比较陈旧的python-xml包从源里删除了,而openerp目前可能还会依赖python-xml(以后会用lxml来代替),如果安装openerp在ubuntu9.10出现python-xml依赖错误,请安装附件中python-xml deb包。



  • 谢谢 唉 还是没装上... 按照手册一步一步来的,openerp server貌似运行起来了。

    就是装不上 openerp-client 还有 turbogears也安装不上 总是出错.....

    Ubuntu下面有没有类似windows下面哪种ALL-In-ONE的安装包呢?:loveliness:

    [[i] 本帖最后由 pady 于 2009-11-30 17:56 编辑 [/i]]



  • 装上了 谢谢版主的python-xml
    谢谢群里Shelly & Tony指点

    有空把全过程整理出来...

    next step....研究怎么使用了



  • 不建议用 python 2.6,官方没测试过,估计里面还是有问题



  • 现在的 5.0.6 web 客户端不需要 turbogears 了,只需要 mako babel 和 cherrypy3



  • 实际验证(验证环境Redhat 企业版4.0),python2.6下,用源码可以安装openERP,唯一要修改的是pyXML包。修改如下:

    PyXML

    download [url]sourceforge.net/projects/pyxml/files/pyxml/0.8.4/PyXML-0.8.4.tar.gz/download[/url]

    由于Python2.6中as是保留字,修改下述代码中的as变量

     xml/xpath/ParsedAbbreviatedRelativeLocationPath.py
       L31,32: as -> aset
     xml/xpath/ParsedAbbreviatedAbsoluteLocationPath.py
       L27,28: as -> aset
     xml/xslt/Stylesheet.py
       L376,377: as -> aset
     test/dom/html/test_map.py
       L16,18: as -> aset
    

    $ cd PyXML-0.8.4
    $ python setup.py install


登录后回复
 

与 Odoo 中文社区 的连接断开,我们正在尝试重连,请耐心等待